Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359662 - osa-dispatcher dosn't work with jabberd-2.4 on RHEL6
Summary: osa-dispatcher dosn't work with jabberd-2.4 on RHEL6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 2.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Kašpárek
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space28
TreeView+ depends on / blocked
 
Reported: 2016-07-25 09:11 UTC by Pavel Studeník
Modified: 2018-04-20 12:21 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-01 11:39:44 UTC


Attachments (Terms of Use)

Description Pavel Studeník 2016-07-25 09:11:03 UTC
Description of problem:
I try to run osa-dispatcher with new release of package jabberd and service osa-dispatcher doesn't work correct. When I downgrade package jabberd to older version (jabberd.x86_64 0:2.2.14-6.el6) and then it works correct. Problem is only on RHEL6, on RHEL7 it works good.

>> nmap -sT -p 5200-5400 localhost
...
5222/tcp open  xmpp-client
5269/tcp open  xmpp-server
5347/tcp open  unknown

>> openssl verify -CAfile /var/www/html/pub/RHN-ORG-TRUSTED-SSL-CERT /etc/pki/spacewalk/jabberd/server.pem
/etc/pki/spacewalk/jabberd/server.pem: OK

>> openssl x509 -in /etc/pki/spacewalk/jabberd/server.pem -subject -noout | awk -F '/' '{print $6}'
CN=<hostname>


Version-Release number of selected component (if applicable):
jabberd-2.4.0-3.el6.x86_64
osa-dispatcher-5.11.71-1.el6.noarch

How reproducible:
always on RHEL6

Steps to Reproduce:
1. upgrade jabberd 
2. restart rhn-satellite (osa-dispatcher and jabberd)


Actual results:
>> service jabberd status
router (pid 29942) is running...
sm (pid 29950) is running...
c2s (pid 29958) is running...
s2s (pid 29966) is running...

>> service osa-dispatcher restart
Shutting down osa-dispatcher:                              [FAILED]
Starting osa-dispatcher: Spacewalk 8287 2016/07/25 04:58:15 -04:00: ('Server does not support TLS - <starttls /> not in <features /> stanza',)
Spacewalk 8287 2016/07/25 04:58:15 -04:00: ('Error caught:',)

ERROR: unhandled exception occurred: (can't write str to text stream).
                                                           [FAILED]

>> tail /var/log/rhn/osa-dispatcher.log
2016/07/25 04:58:15 -04:00 8287 0.0.0.0: osad/jabber_lib.connect('ERROR', 'Server does not support TLS - <starttls /> not in <features /> stanza')
2016/07/25 04:58:15 -04:00 8287 0.0.0.0: osad/jabber_lib.print_message('SSLError',)
2016/07/25 04:58:15 -04:00 8287 0.0.0.0: osad/jabber_lib.print_message('Could not connect to jabber server', '<hostname>')
2016/07/25 04:58:15 -04:00 8287 0.0.0.0: osad/jabber_lib.main('ERROR', 'Error caught:

I tryied to debug by pdb:

>>> ('<hostname>', 5222)
> /usr/lib/python2.6/site-packages/jabber/xmlstream.py(479)connect()
>>> self._sock.connect((self._hostIP, self._port))
[EOF]

>> rpm  -qf /usr/lib/python2.6/site-packages/jabber/xmlstream.py
jabberpy-0.5-0.21.el6.noarch

Comment 1 Pavel Studeník 2017-12-01 11:39:44 UTC
Currently the bug is not relative to Spacewalk 2.7 with osa-dispatcher-5.11.89-1.el6.noarch, jabberd.x86_64 0:2.6.1-2.el6


Note You need to log in before you can comment on or make changes to this bug.